Skip to main content
API Reference

Organizations

List and view organization profiles and details.

Required Scope:organizations:read

List Organizations

GET/api/v1/organizations

Returns a paginated list of public organizations. You can search by name using the filter parameter.

Query Parameters

ParameterTypeDescription
pageintegerPage number (default: 1)
per_pageintegerResults per page, max 100 (default: 25)
sortstringSort field: created_at, name
directionstringSort direction: asc or desc (default: desc)
filter[name]stringSearch organizations by name (partial match, case-insensitive)
Example Requestbash
curl "https://readyraider.com/api/v1/organizations?filter[name]=esports&sort=name&direction=asc" \
  -H "Authorization: Bearer rr_live_your_key"
Response (200 OK)json
{
  "data": [
    {
      "id": "org-uuid",
      "name": "Apex Esports",
      "slug": "apex-esports",
      "description": "Competitive esports organization...",
      "logo_url": "https://...",
      "owner_id": "user-uuid",
      "created_at": "2025-12-01T10:00:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "per_page": 25,
    "total": 1,
    "total_pages": 1
  }
}

Get Organization

GET/api/v1/organizations/:id

Returns a single organization by ID or slug.

Path Parameters

ParameterTypeDescription
iduuid | stringOrganization UUID or slug
Example Requestbash
curl "https://readyraider.com/api/v1/organizations/apex-esports" \
  -H "Authorization: Bearer rr_live_your_key"
Response (200 OK)json
{
  "data": {
    "id": "org-uuid",
    "name": "Apex Esports",
    "slug": "apex-esports",
    "description": "Professional esports organization hosting tournaments and leagues across multiple titles.",
    "logo_url": "https://...",
    "banner_url": "https://...",
    "website": "https://apexesports.gg",
    "discord_url": "https://discord.gg/...",
    "twitter_url": "https://twitter.com/...",
    "owner_id": "user-uuid",
    "member_count": 42,
    "created_at": "2025-12-01T10:00:00Z",
    "updated_at": "2026-02-10T14:30:00Z"
  }
}